
attribute vec2 pos;
attribute vec2 uv;
varying mediump vec2 texcoord;
uniform int tate_mode;

void main()
{
	gl_Position = vec4(pos, 0.5, 1.0);
	if (tate_mode != 0) {
		texcoord = vec2(uv.y, 1.0 - uv.x);
	} else {
		texcoord = uv.xy;
	}
}
